Module | ActionView::Helpers::TextHelper
In: | lib/haml/helpers/action_view_mods.rb lib/haml/helpers/xss_mods.rb

### Methods

concat concat concat_with_haml concat_with_haml_xss concat_without_haml_xss safe_concat_with_haml_xss

### External Aliases

concat | -> | concat_without_haml

### Public Instance methods

concat(string)

Alias for concat_with_haml_xss

concat(string, binding = nil)

Alias for concat_with_haml

concat_with_haml(string, binding = nil)

[Source]

        # File lib/haml/helpers/action_view_mods.rb, line 74
    74:         def concat_with_haml(string, binding = nil)
    75:           if is_haml?
    76:             haml_buffer.buffer.concat(string)
    77:           else
    78:             concat_without_haml(string, binding)
    79:           end
    80:         end

concat_with_haml_xss(string)

[Source]

         # File lib/haml/helpers/xss_mods.rb, line 141
    141:       def concat_with_haml_xss(string)
    142:         if is_haml?
    143:           haml_buffer.buffer.concat(haml_xss_html_escape(string))
    144:         else
    145:           concat_without_haml_xss(string)
    146:         end
    147:       end

concat_without_haml_xss(string, binding = nil)

Alias for concat

safe_concat_with_haml_xss(string)

[Source]

         # File lib/haml/helpers/xss_mods.rb, line 153
    153:         def safe_concat_with_haml_xss(string)
    154:           if is_haml?
    155:             haml_buffer.buffer.concat(string)
    156:           else
    157:             safe_concat_without_haml_xss(string)
    158:           end
    159:         end

[Validate]